import java.util.Random;

/**
 * Stellt einen Wuerfel fuer Wuerfelspiele bereit. Per Zufall wird jeweils der nuechste
 * Wurf ermittelt.
 *
 * @version 1.0 vom 19.06.2012
 * @author Thomas Schaller
 */

public class Wuerfel {

    // Anfang Attribute
    private int wurf;  // letzter Wurf
    private Random zufallszahlen = new Random(); // Hilfsklasse fuer Zufallszahlen
    // Ende Attribute

    /** Erzeugt einen Wuerfel und wuerfelt ein erstes Mal, um eine zufuellige Seite oben
     * liegen zu lassen.
     */
    public Wuerfel() {
        wuerfeln();
    }

    // Anfang Methoden
    /** Liefert das Ergebnis des letzten Wuerfelns.
     * @return wurf Augenzahl des letzten Wurfs.
     */
    public int getWurf() {
        return wurf;
    }

    /** Wuerfelt den Wuerfel. Eine neue Zufallszahl wird bestimmt.
     */
    public void wuerfeln() {
        wurf = zufallszahlen.nextInt(6)+1;
    }

    // Ende Methoden
} // end of Wuerfel
